# --------------------------------------------------------------- Imports ---------------------------------------------------------------- #

# Pip
from jsoncodable import JSONCodable

# ---------------------------------------------------------------------------------------------------------------------------------------- #



# ------------------------------------------------------------ class: Package ------------------------------------------------------------ #

class Package(JSONCodable):

    # ------------------------------------------------------------- Init ------------------------------------------------------------- #

    def __init__(
        self,
        name: str,
        version: str,
        private: bool = False
    ):
        self.name = name
        self.version = version
        self.private = private


    # ------------------------------------------------------ Public properties ------------------------------------------------------- #

    @property
    def versioned_name(self) -> str:
        return '{}=={}'.format(self.name, self.version)


    # -------------------------------------------------------- Public methods -------------------------------------------------------- #

    def get_install_name(self, include_version: bool = False) -> str:
        return self.versioned_name if include_version else self.name


# ---------------------------------------------------------------------------------------------------------------------------------------- #